
%global meadversion 2.0.2
%global namedversion 2.0.2.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 7
%global namedversionrel redhat-2

%{?scl:%scl_package %{?scl_prefix}jboss-jaxws-api_2.2_spec} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 2.0.2.Final-redhat-2

Name:           %{?scl_prefix}jboss-jaxws-api_2.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) API for XML-Based Web Services 2.2
Group:          Development/Java

%if %with mead
Source100: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2-scm-sources.zip
Source102: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2.jar
Source103: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2-sources.jar
Source104: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2.pom
Source105: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2-project-sources.tar.gz
Source106: jboss-jaxws-api_2.2_spec-2.0.2.Final-redhat-2-javadoc.jar
%endif

License:        CDDL/GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxws-api_spec

BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jaxws-api_2.2_spec-%{namedversion}-%{release}-root

%description
JSR-000224: Java(TM) API for XML-Based Web Services 2.2.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jaxws-api_2.2_spec
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxws-api_2.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxws-api_2.2_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}.jar
%{_javadir}/jboss-jaxws-api_2.2_spec.jar
%if %with javadoc
%exclude %{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jboss-jaxws-api_2.2_spec-javadoc.jar
%endif
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxws-api_2.2_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxws-api_2.2_spec-%{namedversion}
%{_javadocdir}/jboss-jaxws-api_2.2_spec
%{_javadir}/jboss-jaxws-api_2.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxws-api_2.2_spec-javadoc.jar
%endif

%changelog
* Wed Jun 17 2015 Permaine Cheung <pcheung@redhat.com> - 2.0.2-7.Final_redhat_2.1
- EAP 7 build

* Wed Jun 17 2015 Permaine Cheung <pcheung@redhat.com> - 2.0.2-7.Final_redhat_2.1
- EAP 7 build

* Tue Sep 02 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-6.Final_redhat_1.1
- swallow update-alternatives remove output

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-5.Final_redhat_1.1
- fix Provides

* Mon Jul 07 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-4.Final_redhat_1.1
- remove old POM alternatives

* Mon Jun 16 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-3.Final_redhat_1.1
- fix Obsoletes on RHEL > 6

* Mon Jun 16 2014 David Walluck <dwalluck@redhat.com> - 2.0.2-2.Final_redhat_1.1
- fix major errors in spec

* Thu May 29 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.2-1.Final_redhat_1.1
- Upgrade to 2.0.2.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.1-4.Final_redhat_2
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-3.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 31 2012 Permaine Cheung <pcheung@redhat.com> - 0:2.0.1-3.Final_redhat_1
- Remove javadoc.jar from the main package

* Wed May 02 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.0.1-2.Final_redhat_1
- Remove EAP5 equivalent

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.0.1-1.Final_redhat_1
- Upgrade to 2.0.1.Final

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-5.Final_redhat_1.1
- Fix Release

* Tue Mar 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.0-4.2
- Upgrade to new wrapper
- Fix jars' installation path

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> 0:2.0.0-4.1
- switch to rhpkg build
- rebuild for new sign key

* Wed Feb 08 2012 Fernando nasser <fnasser@redhat.com> 0:2.0.0-3.1
- Remove run-time dependency on servlet api

* Mon Dec 19 2011 David Walluck <dwalluck@redhat.com> 0:2.0.0-3
- fix the groupId

* Thu Sep 01 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:2.0.0-2_redhat_1
- Fixed pom version back

* Tue Aug 23 2011 Vladimir Dosoudil <dosoudil@redhat.com> 0:2.0.0-1_redhat_1
- Patched by vman

* Thu May 26 2011 Fernando Nasser <fnasser@redhat.com> 0:2.0.0-1
- Adapted from jboss-jaxrpc_1.1_spec
- Adapt relocation pom as well
- Skip repolib creation if using MEAD
